mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# UdmAgentAddLine

## Name

UdmAgentAddLine -- Adds a configuration command

## Description

`int UdmAgentAddLine(UDM_AGENT* Agent, const char* line);`

Adds a configuration command into the search context of the search session, pointed by the `Agent` variable.

## Parameters

`Agent`

  Pointer to a variable of type UDM_AGENT, should be the address of an existing variable of UDM_AGENT type, previously initialized using a `UdmAgentInit()` call.

`line`

  A configuration line, using the same syntax with mnoGoSearch `search.htm` commands.

## Return Values

`UDM_OK` on success, `UDM_ERROR` on error.

## Notes

`UdmAgentAddLine()` can fail if there was insufficient memory to complete the operation, or there was a syntax error in the line.

## Examples

Example 1. `UdmAgentAddLine` example

    if (UDM_OK != UdmAgentAddLine(Agent, "DBAddr mysql://root@localhost/test/"))
    {
      printf('Error: UdmAgentAddLine failed');
      exit(1);
    }

## See Also

`UdmEnvInit`
`UdmEnvFree`
`UdmAgentFree`

Prev | Home | Next
UdmAgentFree | Up | UdmFind2